package com.gic.cloud.data.hook.service.dao;

import com.gic.cloud.data.hook.service.entity.DhFlatQueryFilterItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author hua
* @description 针对表【dh_flat_query_filter_item(过滤项)】的数据库操作Mapper
* @createDate 2023-04-19 14:46:16
* @Entity com.gic.cloud.data.hook.service.entity.DhFlatQueryFilterItem
*/
@Mapper
public interface DhFlatQueryFilterItemMapper {

    int deleteByPrimaryKey(Long id);

    int insert(DhFlatQueryFilterItem record);

    int insertSelective(DhFlatQueryFilterItem record);

    DhFlatQueryFilterItem selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(DhFlatQueryFilterItem record);

    int updateByPrimaryKey(DhFlatQueryFilterItem record);

    List<DhFlatQueryFilterItem> listQueryFilterItems(@Param("filterId") String filterId);

}
